Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.service.impl
Class HibernateObjectPermissionUserAuthorityDeleteListener

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.service.impl.HibernateObjectPermissionUserAuthorityDeleteListener

All Implemented Interfaces:
  HibernateDeleteListener, org.springframework.context.ApplicationContextAware

    public class HibernateObjectPermissionUserAuthorityDeleteListener

extends java.lang.Object
implements HibernateDeleteListener, org.springframework.context.ApplicationContextAware

Version:
  $Id: HibernateObjectPermissionUserAuthorityDeleteListener.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`HibernateObjectPermissionUserAuthorityDeleteListener()`

Method Summary
`protected void` | `deleteObjectPermissions(IdedObject recipient)`
`protected ObjectPermissionServiceInternal` | `getObjectPermissionService()`
`java.lang.String` | `getObjectPermissionsServiceBeanName()`
`void` | `onDelete(java.lang.Object o)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext context)`
`void` | `setObjectPermissionsServiceBeanName(java.lang.String objectPermissionsServiceBeanName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateObjectPermissionUserAuthorityDeleteListener

    public HibernateObjectPermissionUserAuthorityDeleteListener()

Method Detail

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext context)

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`

### getObjectPermissionService

    protected ObjectPermissionServiceInternal getObjectPermissionService()

### onDelete

    public void onDelete(java.lang.Object o)

  Specified by:
    `onDelete` in interface `HibernateDeleteListener`

### deleteObjectPermissions

    protected void deleteObjectPermissions(IdedObject recipient)

### getObjectPermissionsServiceBeanName

    public java.lang.String getObjectPermissionsServiceBeanName()

### setObjectPermissionsServiceBeanName

    public void setObjectPermissionsServiceBeanName(java.lang.String objectPermissionsServiceBeanName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.